﻿using System;
using SYS_Core.aControl;

namespace SYS_Core.aBiz
{
    public class JobService
    {
        private static DBOracle oOracledb = new DBOracle();


        private static bool TickerMonitoring1()
        {
            bool succ = false;
            try
            {
                SYSCore.SignalR.HubData.GetNoPickCustStatic();
                SYSCore.SignalR.HubData.GetPickingStaticCust();
                SYSCore.SignalR.HubData.GetPickedStaticCust();
                succ = true;
            }
            catch
            {
                succ = false;
            }
            return succ;
        }

        private static bool TickerMonitoring2()
        {
            bool succ = false;
            try
            {
                SYSCore.SignalR.HubData.GetReceiveLocalStatic();
                SYSCore.SignalR.HubData.GetReceiveImportStatic();
                succ = true;
            }
            catch
            {
                succ = false;
            }
            return succ;
        }


        public  static void StartService(string JobName)
        {
    
            bool succ = false;
            string StartDate = DateTime.Now.ToString();
            try
            {
                switch (JobName)
                {
                    case "Monitoring1":
                        succ = TickerMonitoring1();
                        break;
                    case "Monitoring2":
                        succ = TickerMonitoring2();
                        break;

                }
            }
            catch (Exception ex)
            {
                oOracledb.WriteLog("JobFail", "Start job " + JobName + " complete at " + StartDate, "JobService");
                throw ex;
            }


            //if (succ)
            //{
                
            //    oOracledb.WriteLog("JobComplete","Start job " + JobName + " fail at " + StartDate, "JobService");
            //}
            //else
            //{
            //    oOracledb.WriteLog("JobFail", "Start job " + JobName + " fail at " + StartDate, "JobService");
            //}

            //return succ;
        }
    }
}