﻿using Microsoft.IdentityModel.Tokens;
using SYS_Core.aControl;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.IdentityModel.Tokens.Jwt;
using System.Linq;
using System.Security.Claims;
using System.Security.Cryptography;
using System.Text;
using System.Text.RegularExpressions;
using System.Web;

namespace SYS_Core.aBiz
{
    public class ismoUtil
    {
        public static Boolean CheckSpecialCharacter(string pText)
        {
            byte[] asciiByte = Encoding.ASCII.GetBytes(pText);
            foreach (byte X in asciiByte)
            {
                if (X < 48)
                {
                    return false;
                }
                else if (X > 57 && X < 65)
                {
                    return false;
                }
                else if (X > 90 && X < 97)
                {
                    return false;
                }
                else if (X > 122)
                {
                    return false;
                }
            }
            return true;
        }

        public static string ConvertAngularDateTo120(string pDateString)
        {
            DateTime dDateValue;
            if (pDateString.Length < 24)
            {
                return pDateString;
            }
            else
            {
                dDateValue = DateTime.ParseExact(pDateString.Substring(0, 24), "ddd MMM d yyyy HH:mm:ss", CultureInfo.InvariantCulture);
                return dDateValue.Year + "-" + dDateValue.Month + "-" + dDateValue.Day;
            }


        }
        public static Boolean CheckStrength(string password)
        {
            Boolean PasswordStrong = false;

            int score = 0;
            int requiredscore = 0;

            if (password.Length >= 8)
            {
                requiredscore++;
            }
            if (Regex.Match(password, @"\d+").Success)
            {
                score++;
            }

            if (Regex.Match(password, @"[a-z].*[a-z]").Success)
            {
                score++;
            }

            if (Regex.Match(password, @"[A-Z]").Success)
            {
                score++;
            }

            if (Regex.Match(password, @"[!,@,#,$,%,^,&,*,?,_,~,-,£,(,)]").Success)
            {
                score++;
            }

            if (requiredscore >= 1 && score >= 3)
            {
                PasswordStrong = true;
            }

            return PasswordStrong;
        }

        public static string escapeCharacter(string data)
        {
            return data
                    .Replace("[slash]", "/")
                    .Replace("[bslash]", "\\")
                    .Replace("[percnt]", "%").TrimEnd('%')
                    .Replace("[star]", "*")
                    .Replace("[dash]","-")
                    .Replace("[plus]", "+");
        }
    }
}