﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Reflection;
using System.Web;

namespace SYS_Core.aControl
{
    public class DataModel
    {
        public class SNPP203_CREATE_PO
        {
            public string PO_NO { get; set; }
            public string VENDOR_CODE { get; set; }
            public int ITEM_NO { get; set; }
            public string SUB_ITEM_NO { get; set; }
            public string ACCEPT_QTY { get; set; }
            public string REMARKS { get; set; }
        }
        public class SNSE165_MODEL
        {
            public string SEQ { get; set; }
            public string COUNTRY_CODE { get; set; }
            public string BUYER_CODE { get; set; }
            public string PART_NUMBER { get; set; }
            public string PART_NAME { get; set; }
            public string PRICING_CODE { get; set; }
            public string ITP_PARTS_FLAG { get; set; }

            public string MODEL_CODE { get; set; }
            public string GLP { get; set; }
            public string GLP_CURRENCY { get; set; }
            public string GLP_ESTABLISHMENT_CATEGORY { get; set; }

            public string GLP_APP { get; set; }
            public string DESCRIPTION_CODE { get; set; }
            public string SALES_CLASSIFICATION_CODE { get; set; }
            public string NEW_MODEL_SETTING_DUE_DATE { get; set; }
            public string PRICE_RIVISON_SETTING_DUE_DATE { get; set; }

            public string PURCHASE_FOB_BP { get; set; }
            public string PURCHASE_FOB_SP { get; set; }
            public string PURCHASE_FOB_CURRENCY { get; set; }
            public string PURCHASE_FOB_PRICE_APP { get; set; }
            public string PURCHASE_FOB_SP_START { get; set; }
            public string PURCHASE_FOB_SP_END { get; set; }

            public string PURCHASE_COST { get; set; }
            public string PURCHASE_COST_CURRENCY { get; set; }
            public string PURCHASE_COST_TENTATIVE_FLAG { get; set; }

            public string INTO_STORE_COST { get; set; }
            public string ISC_CURRENCY { get; set; }
            public string SELLING_FOB_BP { get; set; }
            public string SELLING_FOB_SP { get; set; }
            public string SELLING_FOB_CURRENCY { get; set; }
            public string SELLING_FOB_PRICE_APP { get; set; }
            public string SELLING_FOB_SP_START { get; set; }
            public string SELLING_FOB_SP_END { get; set; }
            public string ACC_SV_UNIQUE_FLAG { get; set; }

            public string REASON_CODE { get; set; }
            public string VENDOR_CODE { get; set; }
            public string VENDOR_TYPE { get; set; }
            public string DESCRIPT_CODE { get; set; }
            public string SALES_CLASS { get; set; }
            public string UPDATE_STATUS { get; set; }
            public string CREATE_BY { get; set; }
            public string CREATE_DATE { get; set; }
            public string LAST_UPD_PGM { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }
            public string MSG_ERR { get; set; }
        }

        public class SNSE148_MODEL
        {
            public string YOUR_CODE { get; set; }
            public string ROLE { get; set; }
            public string ROLE_NUMBER { get; set; }
            public string RECOMMEND_ID { get; set; }
            public string PROJECT_ID { get; set; }
            public string MODEL { get; set; }
            public string YEAR { get; set; }
            public string MODEL_ADMINISTRATION_CODE { get; set; }
            public string CAR_PRODUCTION_COUNTRY { get; set; }
            public string SALES_COUNTRY { get; set; }
            public string SECTION { get; set; }
            public string PART_CODE { get; set; }
            public string PART_NUMBER { get; set; }
            public string PART_NAME { get; set; }
            public string NSC_TO_ORDER { get; set; }
            public string ORDER_DUE_DATE { get; set; }
            public string RECOMMENDATION_DATE { get; set; }
            public string DESIGN_SYMBOL { get; set; }
            public string RECOMMENDED_QTY { get; set; }
            public string MODIFIED_QTY { get; set; }
            public string MODIFICATION_REASON { get; set; }
            public string MESSAGE_MODIFICATION_REASON { get; set; }
            public string MODIFICATION_COMPLETION { get; set; }
            public string MODIFICATION_DATE { get; set; }
            public string COUNTRY_CODE_1 { get; set; }
            public string MODIFIED_QTY_1 { get; set; }
            public string MODIFICATION_REASON_1 { get; set; }
            public string MODIFICATION_COMPLETION_1 { get; set; }
            public string MODIFICATION_DATE_1 { get; set; }
            public string COUNTRY_CODE_2 { get; set; }
            public string MODIFIED_QTY_2 { get; set; }
            public string MODIFICATION_REASON_2 { get; set; }
            public string MODIFICATION_COMPLETION_2 { get; set; }
            public string MODIFICATION_DATE_2 { get; set; }
            public string COUNTRY_CODE_3 { get; set; }
            public string MODIFIED_QTY_3 { get; set; }
            public string MODIFICATION_REASON_3 { get; set; }
            public string MODIFICATION_COMPLETION_3 { get; set; }
            public string MODIFICATION_DATE_3 { get; set; }
            public string COUNTRY_CODE_4 { get; set; }
            public string MODIFIED_QTY_4 { get; set; }
            public string MODIFICATION_REASON_4 { get; set; }
            public string MODIFICATION_COMPLETION_4 { get; set; }
            public string MODIFICATION_DATE_4 { get; set; }
            public string COUNTRY_CODE_5 { get; set; }
            public string MODIFIED_QTY_5 { get; set; }
            public string MODIFICATION_REASON_5 { get; set; }
            public string MODIFICATION_COMPLETION_5 { get; set; }
            public string MODIFICATION_DATE_5 { get; set; }
            public string OH_QTY { get; set; }
            public string PO_QTY { get; set; }
            public string BO_QTY { get; set; }
            public string AVERAGE_DEMAND { get; set; }
            public string ORDER_POINT { get; set; }
            public string VENDOR_CODE { get; set; }
            public string GROUP_PART_NO { get; set; }
            public string CONFIRM_QTY { get; set; }

        }

        public class SNSE148_MPS_MODEL
        {
            public string YOUR_CODE { get; set; }
            public string ROLE { get; set; }
            public string ROLE_NUMBER { get; set; }
            public string RECOMMEND_ID { get; set; }
            public string PROJECT_ID { get; set; }
            public string MODEL { get; set; }
            public string YEAR { get; set; }
            public string MODEL_ADMINISTRATION_CODE { get; set; }
            public string CAR_PRODUCTION_COUNTRY { get; set; }
            public string SALES_COUNTRY { get; set; }
            public string SECTION { get; set; }
            public string PART_CODE { get; set; }
            public string PART_NUMBER { get; set; }
            public string PART_NAME { get; set; }
            public string NSC_TO_ORDER { get; set; }
            public string ORDER_DUE_DATE { get; set; }
            public string RECOMMENDATION_DATE { get; set; }
            public string DESIGN_SYMBOL { get; set; }
            public string RECOMMENDED_QTY { get; set; }
            public string MODIFIED_QTY { get; set; }
            public string MODIFICATION_REASON { get; set; }
            public string MODIFICATION_COMPLETION { get; set; }
            public string MODIFICATION_DATE { get; set; }
            public string COUNTRY_CODE_1 { get; set; }
            public string MODIFIED_QTY_1 { get; set; }
            public string MODIFICATION_REASON_1 { get; set; }
            public string MODIFICATION_COMPLETION_1 { get; set; }
            public string MODIFICATION_DATE_1 { get; set; }
            public string COUNTRY_CODE_2 { get; set; }
            public string MODIFIED_QTY_2 { get; set; }
            public string MODIFICATION_REASON_2 { get; set; }
            public string MODIFICATION_COMPLETION_2 { get; set; }
            public string MODIFICATION_DATE_2 { get; set; }
            public string COUNTRY_CODE_3 { get; set; }
            public string MODIFIED_QTY_3 { get; set; }
            public string MODIFICATION_REASON_3 { get; set; }
            public string MODIFICATION_COMPLETION_3 { get; set; }
            public string MODIFICATION_DATE_3 { get; set; }
            public string COUNTRY_CODE_4 { get; set; }
            public string MODIFIED_QTY_4 { get; set; }
            public string MODIFICATION_REASON_4 { get; set; }
            public string MODIFICATION_COMPLETION_4 { get; set; }
            public string MODIFICATION_DATE_4 { get; set; }
            public string COUNTRY_CODE_5 { get; set; }
            public string MODIFIED_QTY_5 { get; set; }
            public string MODIFICATION_REASON_5 { get; set; }
            public string MODIFICATION_COMPLETION_5 { get; set; }
            public string MODIFICATION_DATE_5 { get; set; }

        }

        public class SNSQ040_MODEL
        {
            public string FPO_NO { get; set; }
            public string FPO_DATE { get; set; }
            public string RECOMMEND_ID { get; set; }
            public string PROJECT_ID { get; set; }
            public string VENDOR_CODE { get; set; }
            public string VENDOR_NAME { get; set; }
            public string VENDOR_TYPE { get; set; }
            public string FORCASTED_QTY { get; set; }
            public string FIRM_FORCASTED_QTY { get; set; }
            public string TEL_AND_FAX { get; set; }
            public string EMAIL { get; set; }

            public string CONTRACT { get; set; }
            public string SK_USER { get; set; }
            public string INDENT_STATUS { get; set; }
        }

        public class SNM023P
        {
            public string PART_CODE { get; set; }
            public string PART_NAME { get; set; }
            public double DIMENSION_MAX { get; set; }
            public double DIMENSION_MID { get; set; }
            public double DIMENSION_MIN { get; set; }
            public string DESCRIPTION_CODE { get; set; }
            public string TARIFF_CODE { get; set; }
            public string PACKAGING_CODE { get; set; }
            public string EXPENSIVE_CODE { get; set; }
            public string UPDATE_BY_NAME { get; set; }
            public string LAST_UPD_DATE { get; set; }
        }


        public class SNPE044
        {
            public string VENDOR_CODE { get; set; }
            public string PO_NO { get; set; }
            public string PART_NO { get; set; }
            public string ETD_CONFIRM { get; set; }

            public string QTY_CONFIRM { get; set; }
            public string ERR_MASSAGE { get; set; }



        }


        public class SNSE184
        {
            public string SEQ { get; set; }
            public string PRINT_CODE { get; set; }
            public string PARTS_NO { get; set; }
            public string PART_NAME_EN { get; set; }
            public string PART_NAME_TH { get; set; }
            public string LOC_DIV { get; set; }
            public string LOCATION_NO { get; set; }
            public string NEW_LOCATION { get; set; }
            public string STATUS_CODE { get; set; }
            public string UPD_FLAG { get; set; }
            public string RELO_QTY { get; set; }
            public string PICK_QTY { get; set; }
            public string CASE_NO { get; set; }
            public string PICK_HT_DATE { get; set; }
            public string SHELVE_QTY { get; set; }
            public string SHELVE_HT_DATE { get; set; }
            public string CREATE_DATE { get; set; }
            public string CREATE_BY { get; set; }
            public string CREATE_PGM { get; set; }
            public string CREATE_FILE_NAME { get; set; }
            public string LAST_UPD_DATE { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_PGM { get; set; }
            public string LAST_UPD_FILE_NAME { get; set; }

        }


        public class SNSE202
        {
            public string PROCESS_DATE { get; set; }
            public string PART_NO { get; set; }
            public string PART_NAME { get; set; }
            public string INCOMING_QTY { get; set; }
            public string AVERAGE_DEMAND { get; set; }
            public string ESTIMATE_STOCK { get; set; }
            public string ESTIMATE_CATEGORY { get; set; }
            public string LOCATION_NO { get; set; }
            public string ATTRIBUTE1 { get; set; }

        }

        public class SNSQ090_Tab1
        {
            public string SEQ { get; set; }
            public string SECTION { get; set; }
            public string STAFF_ID { get; set; }
            public string STAFF_NAME { get; set; }
            public string SMALL_ITEM { get; set; }
            public string MEDIUM_ITEM { get; set; }
            public string LARGE_ITEM { get; set; }
            public string HEAVY_ITEM { get; set; }
            public string HIGHT_ITEM { get; set; }
            public string OTHER_ITEM { get; set; }
            public string SUM_ITEM { get; set; }

            public string SMALL_QTY { get; set; }
            public string MEDIUM_QTY { get; set; }
            public string LARGE_QTY { get; set; }
            public string HEAVY_QTY { get; set; }
            public string HIGHT_QTY { get; set; }
            public string OTHER_QTY { get; set; }
            public string SUM_QTY { get; set; }
        }

        public class SNSQ090_Tab2
        {
            public string SEQ { get; set; }
            public string SECTION { get; set; }
            public string STAFF_ID { get; set; }
            public string STAFF_NAME { get; set; }
            public string CLAIM_ITEM { get; set; }
            public string EMERGENCY_ITEM { get; set; }
            public string INDENT_ITEM { get; set; }
            public string REGULAR_ITEM { get; set; }
            public string WHOLESALES_ITEM { get; set; }
            public string OIL_ITEM { get; set; }
            public string SUM_ITEM { get; set; }

            public string CLAIM_QTY { get; set; }
            public string EMERGENCY_QTY { get; set; }
            public string INDENT_QTY { get; set; }
            public string REGULAR_QTY { get; set; }
            public string WHOLESALES_QTY { get; set; }
            public string OIL_QTY { get; set; }
            public string SUM_QTY { get; set; }
        }

        public class SNSQ090_Tab3
        {
            public string SEQ { get; set; }
            public string SECTION { get; set; }
            public string STAFF_ID { get; set; }
            public string STAFF_NAME { get; set; }
            public string BKKCAR_ITEM { get; set; }
            public string BKKPART_ITEM { get; set; }
            public string UPCCAR_ITEM { get; set; }
            public string UPCPART_ITEM { get; set; }
            public string OTHER_ITEM { get; set; }
            public string AIR_ITEM { get; set; }
            public string SEA_ITEM { get; set; }

            public string SUM_ITEM { get; set; }
            public string BKKCAR_QTY { get; set; }
            public string BKKPART_QTY { get; set; }
            public string UPCCAR_QTY { get; set; }
            public string UPCPART_QTY { get; set; }
            public string OTHER_QTY { get; set; }
            public string AIR_QTY { get; set; }
            public string SEA_QTY { get; set; }

            public string SUM_QTY { get; set; }
        }

        public class SNSQ090_Tab4
        {
            public string SEQ { get; set; }
            public string SECTION { get; set; }
            public string STAFF_ID { get; set; }
            public string STAFF_NAME { get; set; }
            public string ORDER_CLASS { get; set; }
            public string DWP_08_ITEM { get; set; }
            public string DWP_09_ITEM { get; set; }
            public string DWP_10_ITEM { get; set; }
            public string DWP_11_ITEM { get; set; }
            public string DWP_12_ITEM { get; set; }
            public string DWP_13_ITEM { get; set; }
            public string DWP_14_ITEM { get; set; }

            public string DWP_15_ITEM { get; set; }
            public string DWP_16_ITEM { get; set; }
            public string DWP_OT_ITEM { get; set; }
            public string DSUM_ITEM { get; set; }
            public string EWP_08_ITEM { get; set; }
            public string EWP_09_ITEM { get; set; }
            public string EWP_10_ITEM { get; set; }
            public string EWP_11_ITEM { get; set; }
            public string EWP_12_ITEM { get; set; }
            public string EWP_13_ITEM { get; set; }
            public string EWP_14_ITEM { get; set; }

            public string EWP_15_ITEM { get; set; }
            public string EWP_16_ITEM { get; set; }
            public string EWP_OT_ITEM { get; set; }
            public string ESUM_ITEM { get; set; }

            public string ALL_SUM_ITEM { get; set; }
            public string DWP_08_QTY { get; set; }
            public string DWP_09_QTY { get; set; }
            public string DWP_10_QTY { get; set; }
            public string DWP_11_QTY { get; set; }
            public string DWP_12_QTY { get; set; }
            public string DWP_13_QTY { get; set; }
            public string DWP_14_QTY { get; set; }

            public string DWP_15_QTY { get; set; }
            public string DWP_16_QTY { get; set; }
            public string DWP_OT_QTY { get; set; }
            public string DSUM_QTY { get; set; }
            public string EWP_08_QTY { get; set; }
            public string EWP_09_QTY { get; set; }
            public string EWP_10_QTY { get; set; }
            public string EWP_11_QTY { get; set; }
            public string EWP_12_QTY { get; set; }
            public string EWP_13_QTY { get; set; }
            public string EWP_14_QTY { get; set; }

            public string EWP_15_QTY { get; set; }
            public string EWP_16_QTY { get; set; }
            public string EWP_OT_QTY { get; set; }
            public string ESUM_QTY { get; set; }

            public string ALL_SUM_QTY { get; set; }
        }

        public class SNPE201_RAW
        {
            public string RECOMMEND_ID { get; set; }
            public string ORDER_PART_NO { get; set; }
            public string RECOMMENDED_QTY { get; set; }
            public string SELF_POINT_MOD_QTY { get; set; }
            public string OH_QTY { get; set; }
            public string OH_COST { get; set; }
            public string BO_QTY { get; set; }
            public string BO_COST_AMT { get; set; }
            public string BO_DATE { get; set; }
            public string ORDER_NO { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string CUST_NAME_EN { get; set; }
            public string COMPLETE_BO_DATE { get; set; }
        }

        public class SNPE201_SUM
        {
            public string DIALY_HEADER { get; set; }
            public string PART_NO { get; set; }
            public string STOCKED_ITEM { get; set; }
            public string ORDER_RECEIVED { get; set; }
            public string ORDER_RECEIV_AMT { get; set; }
            public string SHIPPED_LINES { get; set; }
            public string SHIPPED_AMT { get; set; }
            public string BO_LINES { get; set; }
            public string BO_AMT { get; set; }
            public string INITIAL_FILL { get; set; }
            public string INIT_FILL_ACT { get; set; }
        }

        public class SNSQ022_SUMMARY
        {
            public double V_SEQ { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string CUSTOMER_NAME { get; set; }
            public double CNT_ORDER_NO { get; set; }
            public double SUM_ORDER_QTY { get; set; }
            public double SUM_ACCEPT_QTY { get; set; }
            public double SUM_NET_WEIGHT { get; set; }
            public double SUM_NET_DIMENSION { get; set; }
            public double SUM_AMOUNT { get; set; }
            public string DISPLAY_STATUS { get; set; }
            public string DISPLAY_UNIT_PRICE { get; set; }
        }

        public class SNSQ022_INCOMPLETE
        {
            public double V_SEQ { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string ORDER_NO { get; set; }
            public string SERIAL_NO { get; set; }
            public string V_ITEM_NO { get; set; }
            public string ACCEPT_PART_NO { get; set; }
            public string TARIFF_CODE { get; set; }
            public string ORIGIN_NAME { get; set; }
            public string DG { get; set; }
            public string DIU_FLAG { get; set; }
            public double NET_WEIGHT { get; set; }
            public double DIMENSION_MAX { get; set; }
            public double DIMENSION_MID { get; set; }
            public double DIMENSION_MIN { get; set; }
            public double AMT_NET_WEIGHT { get; set; }
            public double AMT_NET_DIMENSION { get; set; }
            public double ORDER_QTY { get; set; }
            public double ACCEPT_QTY { get; set; }
            public string ACCEPT_PART_NAME { get; set; }
            public string ORDER_PART_NO { get; set; }
            public string ORDER_PART_NAME { get; set; }
            public double ORDER_CLASS { get; set; }
            public string ORDER_DATE { get; set; }
            public string ALLOCATE_DATE { get; set; }
            public string ETD_DATE { get; set; }
        }

        public class SNSQ022_COMPLETE
        {
            public double V_SEQ { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string ORDER_NO { get; set; }
            public string SERIAL_NO { get; set; }
            public string V_ITEM_NO { get; set; }
            public string ACCEPT_PART_NO { get; set; }
            public string TARIFF_CODE { get; set; }
            public string ORIGIN_NAME { get; set; }
            public string DG { get; set; }
            public string DIU_FLAG { get; set; }
            public double NET_WEIGHT { get; set; }
            public double DIMENSION_MAX { get; set; }
            public double DIMENSION_MID { get; set; }
            public double DIMENSION_MIN { get; set; }
            public double AMT_NET_WEIGHT { get; set; }
            public double AMT_NET_DIMENSION { get; set; }
            public double ORDER_QTY { get; set; }
            public double ACCEPT_QTY { get; set; }
            public string ACCEPT_PART_NAME { get; set; }
            public string ORDER_PART_NO { get; set; }
            public string ORDER_PART_NAME { get; set; }
            public double ORDER_CLASS { get; set; }
            public string ORDER_DATE { get; set; }
            public string ALLOCATE_DATE { get; set; }
            public string ETD_DATE { get; set; }
        }

        public class SNSQ022_UNIT_FAIL
        {
            public double V_SEQ { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string ORDER_NO { get; set; }
            public string ORDER_CLASS { get; set; }
            public string SERIAL_NO { get; set; }
            public string V_ITEM_NO { get; set; }
            public string ACCEPT_PART_NO { get; set; }
            public double ORDER_QTY { get; set; }
            public double ACCEPT_QTY { get; set; }
            public string VENDOR_CODE { get; set; }
            public double UNIT_PRICE_MASTER { get; set; }
            public double UNIT_PRICE_C { get; set; }
            public double NET_AMT_C { get; set; }
            public string ACCEPT_PART_NAME { get; set; }
            public string ORDER_PART_NO { get; set; }
            public string ORDER_PART_NAME { get; set; }
            public string ORDER_DATE { get; set; }
            public string ALLOCATE_DATE { get; set; }
        }

        public class SNSQ022_INCOMPLETE_TARIFF
        {
            public double V_SEQ { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string ORDER_NO { get; set; }
            public string SERIAL_NO { get; set; }
            public string V_ITEM_NO { get; set; }
            public string ACCEPT_PART_NO { get; set; }
            public string TARIFF_CODE { get; set; }
            public string TARIFF_MASTER { get; set; }
            public string REMARK { get; set; }
        }

        public class SNSQ022_IMPROPER_MASTER
        {
            public double V_SEQ { get; set; }
            public string PART_NO { get; set; }
            public string TARIFF_CODE { get; set; }
            public string TARIFF_MASTER { get; set; }
        }

        public class SNSQ043
        {
            public string SEQ { get; set; }
            public string PART_NUMBER { get; set; }
            public string PRICE_APP { get; set; }
            public string PART_NAME { get; set; }
            public double GLP { get; set; }
            public double EXCHANGE_RATE { get; set; }
            public double GLP_TH { get; set; }
            public string DESCRIPTION_CODE { get; set; }
            public string SALES_CLASSIFICATION_CODE { get; set; }
            public string GLP_ESTABLISHMENT_CATEGORY { get; set; }
            public string STATUS { get; set; }
            public string CREATE_BY { get; set; }
            public string CREATE_DATE { get; set; }
            public string LAST_UPD_PGM { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }
        }

        public class SNSQ023
        {
            public string V_SEQ { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string ORDER_NO { get; set; }
            public string ORDER_DATE { get; set; }
            public string ORDER_PART_NO { get; set; }
            public string V_VENDOR_CODE { get; set; }
            public string P_VENDOR_CODE { get; set; }
            public string V_ITEM_NO { get; set; }
            public string ACCEPT_PART_NO { get; set; }
            public double ORDER_QTY { get; set; }
            public string ALLOCATE_DATE { get; set; }
            public double V_F_ACCEPT_QTY { get; set; }
            public double V_AFTER_F_ACCEPT_QTY { get; set; }
            public double V_BO_QTY { get; set; }
            public string V_PICK_LOT_DATE { get; set; }
            public double V_LT_ORDER_PICK { get; set; }
            public string INVOICE_DATE { get; set; }
            public string V_LT_PICK_INVOICE { get; set; }
            public string ETD_DATE { get; set; }
            public string CUST_NAME_EN { get; set; }
            public string ORDER_CLASS { get; set; }
        }
        public class SNSQ074E
        {
            public string T_PART_SALE { get; set; }
            public string T_PART_GP { get; set; }
            public string T_GPR_PARTS_PERCENT { get; set; }
            public string T_ACC_SALE { get; set; }
            public string T_ACC_GP { get; set; }
            public string T_GPR_ACC_PERCENT { get; set; }
            public string T_ACC_DLR_OPT_SALE { get; set; }
            public string T_ACC_DLR_OPT_SALE_GP { get; set; }
            public string T_ACC_PDI_SALE { get; set; }
            public string T_ACC_PDI_SALE_GP { get; set; }
            public string T_EXP_SALES { get; set; }
            public string T_EXP_GP { get; set; }
            public string T_GPR_PERCENT { get; set; }

            public string OP_PART_SALE { get; set; }
            public string OP_PART_GP { get; set; }
            public string OP_GPR_PART_PERCENT { get; set; }
            public string OP_ACC_SALE { get; set; }
            public string OP_ACC_GP { get; set; }
            public string OP_GPR_ACC_PERCENT { get; set; }
            public string OP_EXP_SALES { get; set; }
            public string OP_EXP_GP { get; set; }
            public string OP_T_GPR_PERCENT { get; set; }

            public string BP_PART_SALE { get; set; }
            public string BP_PART_GP { get; set; }
            public string BP_GPR_PART_PERCENT { get; set; }
            public string BP_ACC_SALE { get; set; }
            public string BP_ACC_GP { get; set; }
            public string BP_GPR_ACC_PERCENT { get; set; }
            public string BP_EXP_SALES { get; set; }
            public string BP_EXP_GP { get; set; }
            public string BP_T_GPR_PERCENT { get; set; }

            public string ATT_PART_SALE { get; set; }
            public string ATT_PART_GP { get; set; }
            public string ATT_GPR_PART_PERCENT { get; set; }
            public string ATT_ACC_SALE { get; set; }
            public string ATT_ACC_GP { get; set; }
            public string ATT_GPR_ACC_PERCENT { get; set; }
            public string ATT_EXP_SALES { get; set; }
            public string ATT_EXP_GP { get; set; }
            public string ATT_T_GPR_PERCENT { get; set; }
        }

        public class SNSQ074E_INVOICE
        {
            public string V_SEQ { get; set; }
            public string BUYER_CODE { get; set; }
            public string INVOICE_NO { get; set; }
            public string ISSUE_DATE { get; set; }
            public string BL_DATE { get; set; }
            public string EXCHANGE_RATE { get; set; }
            public string CURRENCY { get; set; }
            public string QTY { get; set; }
            public string FOB { get; set; }
            public string FREIGHT { get; set; }
            public string INSURANCE { get; set; }
            public string CIF_CURRENCY { get; set; }
            public string CIF_BAHT { get; set; }
            public string CIF_MBAHT { get; set; }
            public string RECHECK { get; set; }
            public string REMARK { get; set; }
            public string PART_SALE { get; set; }
            public string PART_THB { get; set; }
            public string PARTS_STD { get; set; }
            public string PARTS_STD_KTHB { get; set; }
            public string PARTS_GP { get; set; }
            public string PART_PERCENT { get; set; }
            public string PART_AVG { get; set; }
            public string PART_AVG_KTHB { get; set; }
            public string PART_AVG_GP { get; set; }
            public string PART_AVG_PERCENT { get; set; }
            public string ACC_SALE { get; set; }
            public string ACC_THB { get; set; }
            public string ACC_STD { get; set; }
            public string ACC_STD_KTHB { get; set; }
            public string ACC_GP { get; set; }
            public string ACC_PERCENT { get; set; }
            public string ACC_AVG { get; set; }
            public string ACC_AVG_KTHB { get; set; }
            public string ACC_AVG_GP { get; set; }
            public string ACC_AVG_PERCENT { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string PL_NO { get; set; }
            public string PICK_LOT_DATE { get; set; }
            public string ORDER_CLASS { get; set; }
        }

        public class SNSQ074E_EXCHANGE
        {
            public string EFFECTIVE_DATE { get; set; }
            public string USD_RATE { get; set; }
            public string NZD_RATE { get; set; }
            public string AUD_RATE { get; set; }
        }

        public class SNSE195
        {
            public string SEQ { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string BRANCH_CODE { get; set; }
            public string LABEL_NAME { get; set; }
            public string ROUTE_CODE { get; set; }
        }
        public class SNSE199
        {
            public string SEQ { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string ORDER_NO { get; set; }
            public string ORDER_CLASS { get; set; }
            public string ORDER_DATE { get; set; }
            public string ITEM_NO { get; set; }
            public string SUB_ITEM_NO { get; set; }
            public string ORDER_PART_NO { get; set; }
            public double ORDER_QTY { get; set; }
            public string ACCEPT_PART_NO { get; set; }
            public double ACCEPT_QTY { get; set; }
            public string BATCH_ETD { get; set; }
            public string ISSUE_PICK_DATE { get; set; }
            public double WORKING_LEADTIME { get; set; }
            public string EXPORT_ETD { get; set; }
            public double SHIPMENT_LEADTIME { get; set; }
            public string EXPORT_ETA { get; set; }
            public string MESSAGE { get; set; }
        }


        public class SNSQ030
        {
            public int SEQ { get; set; }
            public string CREATE_DATE { get; set; }
            public string PART_NUMBER { get; set; }
            public string PART_NAME { get; set; }
            public string SUPPLIER_CODE_LOCAL { get; set; }
            public string PIECE_PRICE { get; set; }
            public string ADOPTED_DATE_FROM { get; set; }
            public string CURRENCY { get; set; }
            public string CREATE_BY { get; set; }
            public string LAST_UPD_PGM { get; set; }
            public string FILE_NAME { get; set; }
            public string ITEM_NO { get; set; }
        }


        public class SNSQ032
        {
            public int SEQ { get; set; }
            public string CREATE_DATE { get; set; }
            public string LOG_MESSAGE { get; set; }
            public string LOG_FLAG { get; set; }
            public string CREATE_BY { get; set; }
            public string LOG_KEY_ID { get; set; }
            public string PROCESS_GROUP { get; set; }
            public string PROCESS_NAME { get; set; }
        }


        public class SNSQ038
        {
            public string ROW_SEQ { get; set; }
            public string PART_NUMBER { get; set; }
            public string ENGLISH_PART_NAME { get; set; }
            public string MODEL_SERIES_CODE { get; set; }
            public string BLOCK { get; set; }
            public string SALES_CODE { get; set; }
            public string SALES_CONDITIONS { get; set; }
            public string PARENT_PART_NUMBER { get; set; }
            public string MODEL_INFO_JPN_ID { get; set; }
            public string MODEL_INFO_CATALOG_MODEL { get; set; }
            public string MODEL_INFO_MODEL_YEAR { get; set; }
            public string MODEL_INFO_UNIT_SYMBOL { get; set; }
            public string PATTERN_NUMBER { get; set; }
            public string SALES_CHANNEL_N { get; set; }
            public string SALES_CHANNEL_M { get; set; }
            public string SALES_CHANNEL_S { get; set; }
            public string SALES_CHANNEL_P { get; set; }
            public string PART_CODE { get; set; }
            public string JAPANESE_PART_NAME { get; set; }
            public string DESCRIPTION_CODE { get; set; }
            public string SQUARES { get; set; }
            public string PRE_LIST_ITEM { get; set; }
            public string SQUARES_A { get; set; }
            public string SQUARES_B { get; set; }
            public string NEW_ITEM_SYMBOL { get; set; }
            public string ADOPTION_YEAR_MONTH { get; set; }
            public string ABOLISH_YEAR_MONTH { get; set; }
            public string JAPAN_PARTS_LETTER { get; set; }
            public string SPPS { get; set; }
            public string DESIGN_NOTE { get; set; }
            public string QUANTITY { get; set; }
            public string DRAWING_DRAWING_NUMBER { get; set; }
            public string DRAWING_DRAWING_CHANGE { get; set; }
            public string DESIGN_PART_NAME { get; set; }
            public string PARTS_SPECIFICATION { get; set; }
            public string FORMER_ALTERNATE { get; set; }
            public string ICA_NIO_1 { get; set; }
            public string ICA_OIN_1 { get; set; }
            public string COEFF_JP_P { get; set; }
            public string COEFF_OTHERS_P { get; set; }
            public string VITAL_PARTS { get; set; }
            public string SPC_BUKAN { get; set; }
            public string TRIM_COLOR_1 { get; set; }
            public string TRIM_COLOR_2 { get; set; }
            public string TRIM_COLOR_3 { get; set; }
            public string TRIM_COLOR_4 { get; set; }
            public string TRIM_COLOR_5 { get; set; }
            public string TRIM_COLOR_6 { get; set; }
            public string TRIM_COLOR_7 { get; set; }
            public string TRIM_COLOR_8 { get; set; }
            public string TRIM_COLOR_9 { get; set; }
            public string TRIM_COLOR_10 { get; set; }
            public string GENESIS_SOURCING_CODE { get; set; }
            public string GENESIS_RESP_GROUP_CODE { get; set; }
            public string ESTABLISHMENT_LOCATION { get; set; }
            public string CAR_PRODUCTION_LOCATION { get; set; }
            public string UNIT_PRODUCTION_LOCATION { get; set; }
            public string UNIT_PACKAGE_P { get; set; }
            public string NET_WEIGHT_P { get; set; }
            public string NEW_ALTERNATE { get; set; }
            public string ICA_OIN_2 { get; set; }
            public string ICA_NIO_2 { get; set; }
            public string DESIGN_PART_NUMBER { get; set; }
            public string AHQ_CODE { get; set; }
            public string MARKET_CODE_DM { get; set; }
            public string MARKET_CODE_EL { get; set; }
            public string MARKET_CODE_ER { get; set; }
            public string MARKET_CODE_GL { get; set; }
            public string MARKET_CODE_GR { get; set; }
            public string MARKET_CODE_US { get; set; }
            public string MARKET_CODE_CA { get; set; }
            public string MARKET_CODE_AR { get; set; }
            public string ORIGINAL_PART_NUMBER { get; set; }
            public string ICA_ORIGINAL { get; set; }
            public string VENDER_CODE { get; set; }
            public string PLANT_ADOPT_STAT { get; set; }
            public string SECTION_NUMBER { get; set; }
            public string L_SERIES_CODE_EUR { get; set; }
            public string ALTERNATE_SOURCING_CODE { get; set; }
            public string GSC { get; set; }
            public string PROCUREMENT_HUB { get; set; }
            public string DESTINATION { get; set; }
            public string FILLER { get; set; }
            public string RECEIVED_STATUS { get; set; }
            public string RECEIVED_TYPE { get; set; }
            public string ATTRIBUTE1 { get; set; }

        }

        public class SNSQ025_EXPORT
        {
            public string SEQ { get; set; }
            public string ORDER_PART_NO { get; set; }
            public string PART_NAME_EN { get; set; }
            public string VENDOR_STAFF { get; set; }
            public string VENDOR_CODE { get; set; }
            public string MAIN_MODEL { get; set; }
            public string SUM_QTY_D { get; set; }
            public string SUM_LINE_D { get; set; }
            public string SUM_QTY_E { get; set; }
            public string SUM_LINE_E { get; set; }
            public string SUM_BO_QTY { get; set; }
            public string SUM_BO_LINE { get; set; }
            public string DEL_QTY_1 { get; set; }
            public string DEL_QTY_2 { get; set; }
            public string DEL_QTY_3 { get; set; }
            public string DEL_QTY_4 { get; set; }
            public string DEL_QTY_5 { get; set; }
            public string DEL_QTY_6 { get; set; }
            public string DEL_QTY_7 { get; set; }
            public string DEL_QTY_8 { get; set; }
            public string SUM_DEL_QTY { get; set; }
        }



        public class SNSE043N
        {
            public string COMPANY_NAME { get; set; }
            public string PINVOICE_NO { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string BRANCH_NAME_EN { get; set; }
            public string PINVOICE_DATE { get; set; }
            public string CURRENCY_CODE { get; set; }
            public string CASE_NO { get; set; }
            public string SUB_CASE_NO { get; set; }
            public string SERIAL_NO { get; set; }
            public string INDENT_NO { get; set; }
            public string V_ITEM_NO { get; set; }
            public string PART_NO { get; set; }
            public string PART_NAME_EN { get; set; }
            public string ORIGIN_NAME_EN { get; set; }
            public string TARIFF_CODE { get; set; }
            public string PACK_QTY { get; set; }
            public string UNIT_PRICE_C { get; set; }
            public string AAX { get; set; }
            public string N_WT { get; set; }
            public string GROSS_MM { get; set; }
            public string GROSS_WEIGHT { get; set; }

        }

        public class SNSE043_W
        {
            public string COMPANY_NAME { get; set; }
            public string PINVOICE_NO { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string BRANCH_NAME_EN { get; set; }
            public string PINVOICE_DATE { get; set; }
            public string CURRENCY_CODE { get; set; }
            public string CASE_NO { get; set; }
            public string SUB_CASE_NO { get; set; }
            public string SERIAL_NO { get; set; }
            public string INDENT_NO { get; set; }
            public string V_ITEM_NO { get; set; }
            public string PART_NO { get; set; }
            public string PART_NAME_EN { get; set; }
            public string ORIGIN_NAME_EN { get; set; }
            public string TARIFF_CODE { get; set; }
            public string PACK_QTY { get; set; }
            public string UNIT_PRICE_C { get; set; }
            public string AAX { get; set; }
            public string N_WT { get; set; }
            public string GROSS_MM { get; set; }
            public string GROSS_WEIGHT { get; set; }
        }
        public class SNSE044N
        {
            public string COMPANY_NAME { get; set; }
            public string DOCUMENT_NO { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string BRANCH_NAME_EN { get; set; }
            public string DOCUMENT_DATE { get; set; }
            public string CURRENCY_CODE { get; set; }
            public string CASE_NO { get; set; }
            public string SUB_CASE_NO { get; set; }
            public string SERIAL_NO { get; set; }
            public string INDENT_NO { get; set; }
            public string ITEM_NO { get; set; }
            public string ACCEPT_PART_NO { get; set; }
            public string PART_NAME_EN { get; set; }
            public string ORIGIN_NAME_EN { get; set; }
            public string TARIFF_CODE { get; set; }
            public double ITEM_QTY { get; set; }
            public double UNIT_PRICE_C { get; set; }
            public double NET_AMT_C { get; set; }
            public double N_WT { get; set; }
            public double GROSS_MM { get; set; }
            public double GROSS_WEIGHT { get; set; }

        }

        public class SNSE163
        {
            public double SEQ { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string PART_NO { get; set; }
            public string PART_NAME { get; set; }
            public string ITP_PARTS_FLAG { get; set; }
            public string CALCULATE_BY { get; set; }
            public double STANDARD_COST { get; set; }
            public double AVERAGE_COST { get; set; }
            public double RETAIL_PRICE { get; set; }
            public double TEMP_COST { get; set; }
            public double GLOBAL_LIST_PRICE { get; set; }
            public double GLOBAL_DISCOUNT_RATE { get; set; }
            public string DSP_GDR_TYPE { get; set; }
            public string MODEL_CODE { get; set; }
            public double GLOBAL_FOB_PRICE { get; set; }
            public double GP_RATE { get; set; }
            public double DIF_GLOBAL_COST { get; set; }
            public double PMS_FOB_PRICE { get; set; }
            public double PMS_GP_RATE { get; set; }
            public double PMS_ADJ_RATE { get; set; }
            public double DIF_PMS_COST { get; set; }
            public double FOB_PRICE_FC { get; set; }
            public string CURRENCY_CODE { get; set; }
            public double EXCHANGE_RATE { get; set; }
            public string PRICE_APP { get; set; }
            public double GLOBAL_LIST_PRICE_JPY { get; set; }
            public double EXCHANGE_RATE_JPY { get; set; }
            public string DSC_FOB_PRICE_FLAG { get; set; }
            public string FOB_PRICE_CONFIRM { get; set; }
            public string GP_RATE_COMFIRM { get; set; }
            public string SALES_CLASS_CODE { get; set; }
            public string DESCRIPTION_CODE { get; set; }
            public string SETTING_TYPE_D { get; set; }
            public string SETTING_DUE_DATE { get; set; }
            public double EXPORT_NET_PRICE { get; set; }
            public string EXPORT_CURRENCY_CODE { get; set; }
            public string DSP_CONFIRM_STATUS { get; set; }
            public string CREATE_BY { get; set; }
            public string CREATE_DATE { get; set; }
            public string LAST_UPD_PGM { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }
            public string MESSAGE_ERROR { get; set; }
        }

        public class SNSQ092_EXPORT
        {
            public string SEQ { get; set; }
            public string PART_NO { get; set; }
            public string PART_NAME_EN { get; set; }
            public string PART_NAME_TH { get; set; }
            public string OVERSEA_FLAG_C { get; set; }
            public string ORDER_DATE { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string ORDER_QTY { get; set; }
            public string ACCEPT_QTY { get; set; }
            public string ORDER_NO { get; set; }
            public string ITEM_NO { get; set; }
            public string SUB_ITEM_NO { get; set; }
            public string ORDER_CLASS { get; set; }
            public string REASON_CODE { get; set; }
            public string LOCK_SALES { get; set; }
            public string TOTAL_OH_QTY { get; set; }
            public string OH_QTY { get; set; }
            public string INDENT_QTY { get; set; }
            public string ALLOCATE_QTY { get; set; }
            public string TRANSFER_QTY { get; set; }
            public string SUSPEND_QTY { get; set; }
        }



        public class SNSQ026_001
        {
            public string SEQ { get; set; }
            public string ORDER_PART_NO { get; set; }
            public string PART_NAME_EN { get; set; }
            public string STAFF_INCHARGE { get; set; }
            public string VENDOR_CODE { get; set; }
            public string MAIN_MODEL { get; set; }
            public string BASE_PRICE { get; set; }
            public string LEAD_TIME_ON { get; set; }
            public string PART_CATEGORY { get; set; }
            public string SUM_PO_QTY { get; set; }
            public string SUM_BO_QTY { get; set; }
            public string CNT_BO_LINE { get; set; }
            public string BO_AMOUNT { get; set; }
            public string CURRENCY_CODE { get; set; }
            public string CUSTOMER_CODE_D { get; set; }
            public string CUSTOMER_CODE_E { get; set; }
            public string CUST_NAME_EN { get; set; }
        }

        public class SNSQ046_001{
            public string SEQ { get; set; }
            public string COUNTRY_CODE { get; set; }
            public string BUYER_CODE { get; set; }
            public string PART_NAME { get; set; }
            public string PART_NUMBER { get; set; }
            public string PRICING_ROLE { get; set; }
            public string ITP_PARTS_FLAG { get; set; }
            public string MODEL_COE { get; set; }
            public string GLP { get; set; }
            public string GLP_CURRENCY { get; set; }
            public string GLP_ESTABLISMENT_CATEGORY { get; set; }
            public string GLP_APP { get; set; }
            public string DESCRIPTION_CODE { get; set; }
            public string SALES_CLASSIFICATION_CODE { get; set; }
            public string NEW_MODEL_SETTING_DUE_DATE { get; set; }
            public string PRICE_RIVISON_SETTING_DUE_DATE { get; set; }
            public string PURCHASE_FOB_BP { get; set; }
            public string PURCHASE_FOB_SP { get; set; }
            public string PURCHASE_FOB_CURRENCY { get; set; }
            public string PURCHASE_FOB_PRICE_APP { get; set; }
            public string PURCHASE_FOB_SP_START { get; set; }
            public string PURCHASE_FOB_SP_END { get; set; }
            public string PURCHASE_COST { get; set; }
            public string PURCHASE_COST_CURRENCY { get; set; }
            public string PURCHASE_COST_TENTATIVE_FLAG { get; set; }
            public string INTO_STORE_COST { get; set; }
            public string ISC_CURRENCY { get; set; }
            public string SELLING_FOB_BP { get; set; }
            public string SELLING_FOB_SP { get; set; }
            public string SELLING_FOB_CURRENCY { get; set; }
            public string SELLING_FOB_PRICE_APP { get; set; }
            public string SELLING_FOB_SP_START { get; set; }
            public string SELLING_FOB_SP_END { get; set; }
            public string ACC_SV_UNIQUE_FLAG { get; set; }
            public string REASON_CODE { get; set; }
            public string UPDATE_STATUS { get; set; }
            public string SEND_STATUS { get; set; }
            public string CREATE_BY { get; set; }
            public string CREATE_DATE { get; set; }
            public string LAST_UPD_PGM { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }
            
        }

        public class SNSE162
        {
            public string SEQ { get; set; }
            public string SOURCING_CODE { get; set; }
            public string SOURCING_GROUP { get; set; }
            public string DESCRIPTION { get; set; }
            public string VENDOR_CODE { get; set; }
            public string ORIGIN_CODE { get; set; }
            public string PFPM_REGIS_STATUS { get; set; }
            public string WVL_REGIS_STATUS { get; set; }
            public string COMMENTS { get; set; }
            public string CREATE_BY { get; set; }
            public string CREATE_DATE { get; set; }
            public string LAST_UPD_PGM { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }
           
        }

        public class SNSE155{
            public string CATALOG_MODEL_PFPM { get; set; }
            public string MAIN_MODEL_PMS { get; set; }
            public string MAIN_MODEL_NAME { get; set; }
            public string CREATE_BY { get; set; }
            public string CREATE_DATE { get; set; }
            public string ORIGIN_CODE { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }
        }

        public class SNSE158{
            public string SEQ { get; set; }
            public string PART_NO { get; set; }
            public string PART_NAME_EN { get; set; }
            public string GROUP_PART_NO { get; set; }
            public string CREATE_DATE { get; set; }
            public string VENDOR_CODE { get; set; }
            public string CURRENCY_CODE { get; set; }
            public string EXCHANGE_RATE { get; set; }
            public string OLD_BASE_PRICE { get; set; }
            public string NEW_BASE_PRICE { get; set; }
            public string NEW_BASE_PRICE_TH { get; set; }
            public string OLD_STD_COST { get; set; }
            public string NEW_STD_COST { get; set; }
            public string OLD_RTL_PRICE { get; set; }
            public string NEW_RTL_PRICE { get; set; }
            public string SUGGEST_RTL_PRICE { get; set; }
            public string CONFIRM_RTL_PRICE { get; set; }
            public string ATTRIBUTE1 { get; set; }
            public string ATTRIBUTE2 { get; set; }
            public string CREATE_PGM { get; set; }
            public string UPD_STATUS { get; set; }

        }

        public class SNSQ048{
            public string SEQ { get; set; }
            public string PART_NUMBER { get; set; }
            public string REASON_CODE { get; set; }
            public string ERROR_CODE { get; set; }
            public string ERROR_MESSAGE { get; set; }
            public string COUNTRY_CODE { get; set; }
            public string BUYER_CODE { get; set; }
            public string PRICING_ROLE { get; set; }
            public string ITP_PARTS_FLAG { get; set; }
            public string MODEL_CODE { get; set; }
            public string GLP { get; set; }
            public string GLP_CURRENCY { get; set; }
            public string GLP_ESTABLISHMENT_CATEGORY { get; set; }
            public string GLP_APP { get; set; }
            public string DESCRIPTION_CODE { get; set; }
            public string SALES_CLASSIFICATION_CODE { get; set; }
            public string NEW_MODEL_SETTING_DUE_DATE { get; set; }
            public string PRICE_RIVISON_SETTING_DUE_DATE { get; set; }
            public string PURCHASE_FOB_BP { get; set; }
            public string PURCHASE_FOB_SP { get; set; }
            public string PURCHASE_FOB_CURRENCY { get; set; }
            public string PURCHASE_FOB_PRICE_APP { get; set; }
            public string PURCHASE_FOB_SP_START { get; set; }
            public string PURCHASE_FOB_SP_END { get; set; }
            public string PURCHASE_COST { get; set; }
            public string PURCHASE_COST_CURRENCY { get; set; }
            public string PURCHASE_COST_TENTATIVE_FLAG { get; set; }
            public string INTO_STORE_COST { get; set; }
            public string ISC_CURRENCY { get; set; }
            public string SELLING_FOB_BP { get; set; }
            public string SELLING_FOB_SP { get; set; }
            public string SELLING_FOB_CURRENCY { get; set; }
            public string SELLING_FOB_PRICE_APP { get; set; }
            public string SELLING_FOB_SP_START { get; set; }
            public string SELLING_FOB_SP_END { get; set; }
            public string ACC_SV_UNIQUE_FLAG { get; set; }
            public string STATUS { get; set; }
            public string CREATE_BY { get; set; }
            public string CREATE_DATE { get; set; }
            public string LAST_UPD_PGM { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }
            
        }

        public class SNSQ039_EXPORT
        {
            public string SEQ { get; set; }
            public string PART_NUMBER { get; set; }
            public string PART_NAME_ENGLISH { get; set; }
            public string CATALOG_MODEL { get; set; }
            public string MODEL_YEAR { get; set; }
            public string CATALOG_DESTINATION { get; set; }
            public string SECTION_NUMBER { get; set; }
            public string SECTION_DIFFERENCE { get; set; }
            public string PART_CODE { get; set; }
            public string PART_SPECIFICATION { get; set; }
            public string TRIM_COLOR1 { get; set; }
            public string TRIM_COLOR2 { get; set; }
            public string TRIM_COLOR3 { get; set; }
            public string TRIM_COLOR4 { get; set; }
            public string TRIM_COLOR5 { get; set; }
            public string TRIM_COLOR6 { get; set; }
            public string TRIM_COLOR7 { get; set; }
            public string TRIM_COLOR8 { get; set; }
            public string TRIM_COLOR9 { get; set; }
            public string TRIM_COLOR10 { get; set; }
            public string BODY_COLOR1 { get; set; }
            public string BODY_COLOR2 { get; set; }
            public string BODY_COLOR3 { get; set; }
            public string BODY_COLOR4 { get; set; }
            public string BODY_COLOR5 { get; set; }
            public string BODY_COLOR6 { get; set; }
            public string BODY_COLOR7 { get; set; }
            public string BODY_COLOR8 { get; set; }
            public string BODY_COLOR9 { get; set; }
            public string BODY_COLOR10 { get; set; }
            public string BODY_COLOR11 { get; set; }
            public string BODY_COLOR12 { get; set; }
            public string BODY_COLOR13 { get; set; }
            public string BODY_COLOR14 { get; set; }
            public string BODY_COLOR15 { get; set; }
            public string BODY_COLOR16 { get; set; }
            public string BODY_COLOR17 { get; set; }
            public string BODY_COLOR18 { get; set; }
            public string BODY_COLOR19 { get; set; }
            public string BODY_COLOR20 { get; set; }
            public string ADOPTION_YEAR { get; set; }
            public string ADOPTION_MONTH { get; set; }
            public string ABOLISH_YEAR { get; set; }
            public string ABOLISH_MONTH { get; set; }
            public string UNIT_PRODUCTION_LOCATION { get; set; }
            public string CAR_PRODUCTION_LOCATION { get; set; }
            public string MODEL_CODE_13_DIGIT { get; set; }
            public string SOURCING_CODE { get; set; }
            public string MODEL_SERIES_CODE_CAR { get; set; }
            public string PROCUREMENT_ADDR_LOC_CODE { get; set; }
            public string PROCUREMENT_HUB_ADDR_LOC_CODE { get; set; }
            public string PROCUREMENT_HUB_ADDR1_LOC_CODE { get; set; }
            public string PROCUREMENT_HUB_ADDR2_LOC_CODE { get; set; }
            public string PROCUREMENT_HUB_ADDR3_LOC_CODE { get; set; }
            public string PROCUREMENT_HUB_ADDR4_LOC_CODE { get; set; }
            public string CHASSY_NO_CODE { get; set; }
            public string SALES_ADDR_COUNTRY_CODE { get; set; }
            public string REINVOICE_COUNTRY_CODE { get; set; }
            public string PUB_NO { get; set; }
            public string CATALOG_NC_CODE { get; set; }
            public string COUNTRY_CODE1 { get; set; }
            public string COUNTRY_CODE2 { get; set; }
            public string COUNTRY_CODE3 { get; set; }
            public string COUNTRY_CODE4 { get; set; }
            public string COUNTRY_CODE5 { get; set; }
            public string COUNTRY_CODE6 { get; set; }
            public string USAGE { get; set; }
            public string SPEC_SPECIFICATION1 { get; set; }
            public string SPEC_SPECIFICATION2 { get; set; }
            public string SPEC_SPECIFICATION3 { get; set; }
            public string SPEC_SPECIFICATION4 { get; set; }
            public string FORMER_ICA_CONDITION { get; set; }
            public string FORMER_ICA_FORMER_PART_NUMBER { get; set; }
            public string NEW_ICA_CONDITION { get; set; }
            public string NEW_ICA_FORMER_PART_NUMBER { get; set; }
            public string ORIGINAL_MODEL_SERIES_CODE { get; set; }
            public string S_CODE { get; set; }
            public string QUANTITY { get; set; }
            public string UNIT_PACKAGE { get; set; }
            public string DESCRIPTION_CODE { get; set; }
            public string LIST_PRICE { get; set; }
            public string PART_LETTER_NUMBER { get; set; }
            public string REMARKS { get; set; }
            public string INFINITY_SYMBOL { get; set; }
            public string RECEIVED_STATUS { get; set; }
            public string CREATE_BY { get; set; }
            public string CREATE_DATE { get; set; }
            public string LAST_UPD_PGM { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }
            public string ATTRIBUTE1 { get; set; }

        }

        public class SNSE144{
            public string COMPANY_CODE { get; set; }
            public string FILE_NAME { get; set; }
            public string ITEM_NO { get; set; }
            public string PART_NUMBER { get; set; }
            public string PART_NAME_EN { get; set; }
            public string PART_NAME_TH { get; set; }
            public string PART_CODE { get; set; }
            public string DESCRIPT_CODE { get; set; }
            public string PRODUCT_CODE { get; set; }
            public string SALES_CLASS { get; set; }
            public string TARIFF_CODE { get; set; }
            public string DUTY_RATE { get; set; }          
            public string PARENT_PART_NUMBER { get; set; }
            public string SOURCING_CODE { get; set; }
            public string SUPPLIER_CODE { get; set; }
            public string VENDOR_CODE { get; set; }
            public string VENDOR_TYPE { get; set; }
            public string VENDOR_CODE_PART { get; set; }
            public string VENDOR_TYPE_PART { get; set; }
            public string PRICING_CODE { get; set; }
            public string CURRENCY_CODE { get; set; }
            public string CATALOG_MODEL { get; set; }
            public string MAIN_MODEL { get; set; }
            public string CAR_PRODUCTION_LOCATION { get; set; }
            public string UNIT_PRODUCTION_LOCATION { get; set; }
            public string PROCUREMENT_HUB { get; set; }
            public string ONLINE_FLAG { get; set; }
            public string DIS_FROM_TABLE { get; set; }
            public string COMPLETE_STATUS { get; set; }
            public string UPDATE_STATUS { get; set; }
            public string CREATE_BY { get; set; }
            public string CREATE_DATE { get; set; }
            public string LAST_UPD_PGM { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }
            public string PACKAGING_CODE { get; set; }
            public string MSG_ERROR { get; set; }

        }

        public class SNM105P
        {
            public string SEQ { get; set; }
            public string PART_NO { get; set; }
            public string BASE_PRICE { get; set; }
            public string NEW_BASE_PRICE { get; set; }

          
            public string STANDARD_COST { get; set; }
            public string NEW_STANDARD_COST { get; set; }

            public string MSG { get; set; }
        }

        public class SNSQ026
        {
            public string SEQ { get; set; }
            public string ORDER_PART_NO { get; set; }
            public string PART_NAME_EN { get; set; }
            public string STAFF_INCHARGE { get; set; }
            public string VENDOR_CODE { get; set; }
            public string MAIN_MODEL { get; set; }
            public string BASE_PRICE { get; set; }
            public string LEAD_TIME_ON { get; set; }
            public string PART_CATEGORY { get; set; }
            public string SUM_PO_QTY { get; set; }
            public string SUM_BO_QTY { get; set; }
            public string CNT_BO_LINE { get; set; }
            public string BO_AMOUNT { get; set; }
            public string CURRENCY_CODE { get; set; }
            public string CUSTOMER_CODE_D { get; set; }
            public string CUSTOMER_CODE_E { get; set; }
            public string CUST_NAME_EN { get; set; }

        }

        public class SNM020P
        {
            public string DESCRIPT_CODE { get; set; }
            public string DESCRIPT_NAME { get; set; }
            public string SALES_CLASS { get; set; }
            public string DISCOUNT_RATE { get; set; }
            public string PRODUCT_CODE { get; set; }
            public string PART_SIZE { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }
        }

        public class SNM114P
        {
            public string SEQ { get; set; }
            public string PART_NO { get; set; }
            public string DISCOUNT_RATE1 { get; set; }
            public string DISCOUNT_RATE2 { get; set; }
            public string DISCOUNT_RATE3 { get; set; }
            public int NET_PRICE { get; set; }
            public string ERROR_MSG { get; set; }
        }
        public class SNM039P
        {
            public string SALES_CLASS { get; set; }
            public string CLASS_NAME { get; set; }
            public string CREATE_BY { get; set; }
            public string CREATE_DATE { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }

        }
        public class SNM002P
        {
            public string COMPANY_CODE { get; set; }
            public string VENDOR_CODE { get; set; }
            public string VENDOR_NAME_EN { get; set; }
            public string VENDOR_NAME_TH { get; set; }
            public string VENDOR_ADDR1 { get; set; }
            public string VENDOR_ADDR2 { get; set; }
            public string VENDOR_ADDR3 { get; set; }
            public string VENDOR_ADDR4 { get; set; }
            public string VENDOR_CONTACT { get; set; }
            public string VENDOR_TYPE { get; set; }
            public string PAYMENT_TYPE { get; set; }
            public string OVERSEA_FLAG { get; set; }
            public string COUNTRY_CODE { get; set; }
            public string CURRENCY_CODE { get; set; }
            public string PRICE_TERM_CODE { get; set; }
            public string PAYMENT_TERM { get; set; }
            public string ADD_STOCK_LEVEL { get; set; }
            public string STD_SAFE_STOCK { get; set; }
            public string LEAD_TIME_ON { get; set; }
            public string LEAD_TIME_OFF { get; set; }
            public string ORDER_INTERVAL { get; set; }
            public string PRINT_PRICE { get; set; }
            public string PRINT_PO { get; set; }
            public string PRINT_STICKER { get; set; }
            public string AP_VENDOR_CODE { get; set; }
            public string AP_SUB_TYPE { get; set; }
            public string METHOD_PRICE { get; set; }
            public string METHOD_ISC { get; set; }
            public string CPS_FLAG { get; set; }
            public string SUGGEST_FLAG { get; set; }
            public string FQO_FLAG { get; set; }
            public string CALCULATE_PRICE { get; set; }
            public string TOP_VALUE_ITEMS { get; set; }
            public string PRN_PART_FORMAT { get; set; }
            public string CREATE_BY { get; set; }
            public string CREATE_DATE { get; set; }
            public string LAST_UPD_PGM { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }
            public string ATTRIBUTE1 { get; set; }
            public string ATTRIBUTE2 { get; set; }
            public string ATTRIBUTE3 { get; set; }
            public string ATTRIBUTE4 { get; set; }
            public string ATTRIBUTE5 { get; set; }
            public string SAP_PAYMENT_TERM { get; set; }
            public string VENDOR_GLOBAL_CODE { get; set; }
            public string GTOP_STATUS { get; set; }
            public string GLOBAL_COUNTRY_CODE { get; set; }
            public string SOURCING_CODE { get; set; }
            public string VENDOR_MAIN { get; set; }
            public string MAPPING_ATTRIBUTE1 { get; set; }
            public string TAX_ID { get; set; }
            public string SK_USER_ID { get; set; }
            public string STAFF { get; set; }
            public string STAFF_NAME { get; set; }
        }
        public class SNM004P
        {
            public string COMPANY_CODE { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string CUST_NAME_EN { get; set; }
            public string CUST_NAME_TH { get; set; }
            public string CUST_ADDR1 { get; set; }
            public string CUST_ADDR2 { get; set; }
            public string CUST_ADDR3 { get; set; }
            public string CUST_ADDR4 { get; set; }
            public string CUST_CONTACT { get; set; }
            public string PAYMENT_TYPE { get; set; }
            public string OVERSEA_FLAG { get; set; }
            public string COUNTRY_CODE { get; set; }
            public string CURRENCY_CODE { get; set; }
            public string PRICE_TERM_CODE { get; set; }
            public string CUSTOMER_CLASS { get; set; }
            public string SALES_CHANNEL { get; set; }
            public string ZONE_AREA { get; set; }
            public string SALESMAN_CODE { get; set; }
            public string PAYMENT_TERM { get; set; }
            public string LOCK_CUSTOMER { get; set; }
            public string CREDIT_LIMIT { get; set; }
            public string CREDIT_BALANCE { get; set; }
            public string AR_CHANNEL { get; set; }
            public string ENABLE_DATE { get; set; }
            public string DISABLE_DATE { get; set; }
            public string BILL_TO_CUST { get; set; }
            public string BILL_TO_BRANCH { get; set; }
            public string BAL_OF_OIL_LITR { get; set; }
            public string LAST_REBATE_YY { get; set; }
            public string LAST_REBATE_MM { get; set; }
            public string REBATE_FLAG { get; set; }
            public string COS_FLAG { get; set; }
            public string COS_FORMAT { get; set; }
            public string CASE_NO_AIR { get; set; }
            public string CASE_NO_SEA { get; set; }
            public string LINES_PER_INV { get; set; }
            public string CREATE_BY { get; set; }
            public string CREATE_DATE { get; set; }
            public string LAST_UPD_PGM { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }
            public string ATTRIBUTE1 { get; set; }
            public string ATTRIBUTE2 { get; set; }
            public string ATTRIBUTE3 { get; set; }
            public string ATTRIBUTE4 { get; set; }
            public string ATTRIBUTE5 { get; set; }
            public string CONSOLIDATE_FLAG { get; set; }
            public string EXPORT_PRICE_GROUP { get; set; }
            public string CONTAINER_FLAG { get; set; }
            public string IS_DRAGON { get; set; }
        }
        public class SNM005P
        {
            public string COMPANY_CODE { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string CUST_NAME_EN { get; set; }
            public string CUST_NAME_TH { get; set; }
            public string BRANCH_CODE { get; set; }
            public string BRANCH_NAME_EN { get; set; }
            public string BRANCH_NAME_TH { get; set; }
            public string BRANCH_ADDR1 { get; set; }
            public string BRANCH_ADDR2 { get; set; }
            public string BRANCH_ADDR3 { get; set; }
            public string BRANCH_ADDR4 { get; set; }
            public string BRANCH_CONTACT { get; set; }
            public string ROUTE_CODE_EO { get; set; }
            public string ROUTE_CODE_RO { get; set; }
            public string TRANSPORT_EO { get; set; }
            public string TRANSPORT_RO { get; set; }
            public string CREATE_BY { get; set; }
            public string CREATE_DATE { get; set; }
            public string LAST_UPD_PGM { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }
            public string ATTRIBUTE1 { get; set; }
            public string ATTRIBUTE2 { get; set; }
            public string ATTRIBUTE3 { get; set; }
            public string ATTRIBUTE4 { get; set; }
            public string ATTRIBUTE5 { get; set; }
            public string CUSTOMER_TAX_ID { get; set; }
            public string BRANCH_CODE_SAP { get; set; }
            public string BUSINESS_PLACE { get; set; }
            public string BRANCH_STATUS { get; set; }
            public string OVERSEA_FLAG { get; set; }
            public string ZONE_AREA_EN { get; set; }
            public string ZONE_AREA_TH { get; set; }
            public string REGION_NAME_EN { get; set; }
            public string REGION_NAME_TH { get; set; }
            public string SALESMAN_NAME { get; set; }
        }
        public class SNM083
        {
            public string COMPANY_CODE { get; set; }
            public string PART_NO { get; set; }
            public string PART_NAME_EN { get; set; }
            public string PART_NAME_TH { get; set; }
            public string CALCULATE_TYPE { get; set; }
            public string CAPACITY { get; set; }
            public string EXCISE_RATE { get; set; }
            public string EFFECTIVE_DATE { get; set; }
            public string DISABLED_DATE { get; set; }
            public string CAPACITY_RATE { get; set; }
            public string UNIT_TYPE { get; set; }
            public string RETAIL_PRICE { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }
        }
        public class SNSQ033
        {
            public string SEQ { get; set; }
            public string PART_NO { get; set; }
            public string PART_NAME_EN { get; set; }
            public string CREATE_DATE { get; set; }
            public string SUPPLIER_CODE { get; set; }
            public string VENDOR_CODE { get; set; }
            public string BASE_PRICE { get; set; }
            public string LAST_UPD_DATE { get; set; }
        }
        public class SNM135P
        {
            public string SEQ { get; set; }
            public string PART_NO { get; set; }
            public string NEW_BASE_PRICE { get; set; }
            public string RETAIL_PRICE { get; set; }
            public string NEW_PRICING_CODE { get; set; }
            public string NEW_STANDARD_COST { get; set; }
            public string VENDOR_CODE { get; set; }
            public string PO_NO { get; set; }
            public string PO_UNIT_PRICE { get; set; }
            public string MSG { get; set; }
        }
        public class SNSE142
        {
            public string SEQ { get; set; }
            public string PART_NUMBER { get; set; }
            public string PIECE_PRICE { get; set; }
            public string BASE_PRICE { get; set; }
            public string CURRENCY { get; set; }
            public string ADOPTED_DATE_FROM_PRINT { get; set; }
            public string ADOPTED_DATE_TO_PRINT { get; set; }
            public string SUPPLIER_CODE_GLOBAL { get; set; }
            public string SUPPLIER_CODE_LOCAL { get; set; }
            public string PART_NAME { get; set; }
            public string COMPANY_CODE { get; set; }
            public string IF_REASON_CODE { get; set; }
            public string NEW_PRICE_IF_REASON_CODE { get; set; }
            public string CATEGORY_CODE { get; set; }
            public string PO_NO { get; set; }
            public string GLOBAL_COMPANY_CODE_RC { get; set; }
            public string GLOBAL_COMPANY_CODE { get; set; }
            public string COMMODITY_CODE { get; set; }
            public string RECEIVED_STATUS { get; set; }
        }
        public class SNPE045
        {
            public string ACCEPT_PART_NO { get; set; }
            public string PART_NAME { get; set; }
            public string PART_NAME_TH { get; set; }
            public string ITEM_QTY { get; set; }
            public string UNIT_PRICE_B { get; set; }
            public string DUTY_RATE { get; set; }
        }
        public class SNSE152
        {
            public double SEQ { get; set; }
            public string CUSTOMER_CODE { get; set; }
            public string PART_NO { get; set; }
            public string PART_NAME { get; set; }
            public string ITP_PARTS_FLAG { get; set; }
            public string CALCULATE_BY { get; set; }
            public double STANDARD_COST { get; set; }
            public double AVERAGE_COST { get; set; }
            public double RETAIL_PRICE { get; set; }
            public double TEMP_COST { get; set; }
            public double GLOBAL_LIST_PRICE { get; set; }
            public double GLOBAL_DISCOUNT_RATE { get; set; }
            public string DSP_GDR_TYPE { get; set; }
            public string MODEL_CODE { get; set; }
            public double GLOBAL_FOB_PRICE { get; set; }
            public double GP_RATE { get; set; }
            public double DIF_GLOBAL_COST { get; set; }
            public double PMS_FOB_PRICE { get; set; }
            public double PMS_GP_RATE { get; set; }
            public double PMS_ADJ_RATE { get; set; }
            public double DIF_PMS_COST { get; set; }
            public double FOB_PRICE_FC { get; set; }
            public string CURRENCY_CODE { get; set; }
            public double EXCHANGE_RATE { get; set; }
            public string PRICE_APP { get; set; }
            public double GLOBAL_LIST_PRICE_JPY { get; set; }
            public double EXCHANGE_RATE_JPY { get; set; }
            public string DSC_FOB_PRICE_FLAG { get; set; }
            public string FOB_PRICE_CONFIRM { get; set; }
            public string GP_RATE_COMFIRM { get; set; }
            public string SALES_CLASS_CODE { get; set; }
            public string DESCRIPTION_CODE { get; set; }
            public string SETTING_TYPE_D { get; set; }
            public string SETTING_DUE_DATE { get; set; }
            public double EXPORT_NET_PRICE { get; set; }
            public string EXPORT_CURRENCY_CODE { get; set; }
            public string DSP_CONFIRM_STATUS { get; set; }
            public string CREATE_BY { get; set; }
            public string CREATE_DATE { get; set; }
            public string LAST_UPD_PGM { get; set; }
            public string LAST_UPD_BY { get; set; }
            public string LAST_UPD_DATE { get; set; }
            public string MESSAGE_ERROR { get; set; }
            public string PRICING_ROLE { get; set; }
            public string DSP_GP_RATE_PRICING_ROLE { get; set; }
            public double ADJ_FOB_PRICE { get; set; }
            public double ADJ_GP_RATE { get; set; }
            public double DIF_ADJ_COST { get; set; }
        }
    }
}