﻿using Microsoft.Reporting.WebForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Net;
using System.Security.Principal;
using System.Configuration;

namespace SYS_Core.aControl
{
    public class ReportServerCredentials : IReportServerCredentials
    {

        private string _userName;
        private string _password;
        private string _domain;

        public ReportServerCredentials()
        {
            _userName = ConfigurationManager.AppSettings["ReportUsername"];
            _password = ConfigurationManager.AppSettings["ReportPassword"];
            _domain = ConfigurationManager.AppSettings["ReportDomain"];

        }

        public WindowsIdentity ImpersonationUser
        {
            get
            {
                return null;
            }
        }

        public ICredentials NetworkCredentials
        {
            get
            {
                return new NetworkCredential(this._userName, this._password, this._domain);
            }
        }

        public bool GetFormsCredentials(out Cookie authCookie, out string userName, out string password, out string authority)
        {
            authCookie = new Cookie();
            userName = null;
            password = null;
            authority = null;
            return false;
        }
    }
}